package com.ruoyi.invest.service;

import com.ruoyi.invest.domain.FlowBaseInfo;

import java.util.List;

public interface IFlowBaseInfoService {
    boolean addActivitiBaseInfo(FlowBaseInfo flowBaseInfo);
    List<FlowBaseInfo> searchFlowBaseInfoByProcInsId(String procInsId);
    FlowBaseInfo selectCurrentApproval(String procInsId);
    List<FlowBaseInfo> searchFlowBaseInfoByProcInsIdAndTaskDefKey(String procInsId, String taskDefKey);
    boolean deleteFlowBaseInfo(FlowBaseInfo flowBaseInfo);
    boolean deleteByProAndtaskDefkey(FlowBaseInfo flowBaseInfo);

    Integer checkReStatus(FlowBaseInfo act);
    List<FlowBaseInfo> searchFlowBaseInfoByProcInsIdAndTaskName(String procInsId, String taskName);

    FlowBaseInfo selectLasterByProcInsId(String procInsId);

}
